/*  SirvNET Services' main header
 *
 * SirvNET Services are copyright (c) 1998-2006 Trevor Klingbeil.
 *    http://www.sirv.net  ::  ftp.sirv.net
 * This program is copyrighted software; see the file COPYING for details.
 */


#ifndef SERVICES_H
#define SERVICES_H

#include <stdarg.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <time.h>
#include <string.h>
#include <netdb.h>
#include <sys/time.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <netinet/in.h>
#include <mysql.h>
#include <fcntl.h>
#include <ctype.h>
#include <arpa/inet.h>


#include "sysconf.h"
#include "struct.h"
#include "extern.h"
#include "messages.h"


/*********************************************************************************/
/*********************************************************************************/

#define NS_ENFORCE       0x00000001
#define NS_SECURE        0x00000002
#define NS_HIDE_EMAIL    0x00000004
#define NS_NOOP          0x00000008
#define NS_NEVEROP       0x00000010
#define MS_NOMEMO        0x00000020
#define MS_EMAILMEMOS    0x00000040
#define NS_ENFORCE_HELD  0x00000080
#define NS_PRIVATE       0x00000100
#define NS_MAILBLOCK     0x00000200
#define MS_MEMO_LOGON    0x00000400
#define MS_MEMO_NEW      0x00000800
#define MS_MEMO_RCPT     0x00001000
#define NS_ENCRYPTED     0x00002000

#define NS_HELD          0x40000000

#define CS_IDENT         0x00000001
#define CS_OPGUARD       0x00000002
#define CS_KEEPTOPIC     0x00000004
#define CS_PROTECT       0x00000008
#define CS_UNSECURE      0x00000010
#define CS_PRIVATE       0x00000020
#define CS_RESTRICTED    0x00000040
#define CS_LEAVEOPS      0x00000080
#define CS_NOTIFY        0x00000100
#define CS_LEVELOPER     0x00000200
#define CS_LEVELSOP      0x00000400
#define CS_LEVELSA       0x00000800
#define CS_LEVELSRA      0x00001000
#define CS_LEVELMASTER   0x00002000
#define CS_SUSPEND       0x00100000
#define CS_OFFICIAL      0x00200000
#define CS_TRIMBAN       0x00400000
#define CS_ENCRYPTED     0x00800000


#define CS_HELD          0x40000000




/*********************************************************************************/
/*********************************************************************************/


#endif  /* SERVICES_H */

